Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2162 - Xsun uses ~95% of the CPU
Summary: Xsun uses ~95% of the CPU
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.2
Hardware: sparc
OS: Linux
high
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-13 07:32 UTC by shuey
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-01 20:15:19 UTC


Attachments (Terms of Use)

Description shuey 1999-04-13 07:32:01 UTC
Xsun (3.3.3.1-1.1 and 3.3.2.3-25) uses all available CPU
power when idle.  As soon as the screen blanks due to
inactivity Xsun jumps to using around 95% of the CPU.  When
the mouse is moved, thus powering the screen back up, the
CPU utilization drops to normal.  Oddly enough, if the
screen is reactivated by pressing a key on the keyboard the
CPU utilization stays high.  This behavior can be seen under
any 2.2 kernel.

Comment 1 Preston Brown 1999-04-13 15:56:59 UTC
what cpu architecture do you have / sparc system do you use?

------- Email Received From  Michael Shuey <shuey@ecn.purdue.edu> 04/13/99 12:28 -------

Comment 2 Anonymous 1999-05-07 06:53:59 UTC
Same problem for me on an LX(sun4m), with cgsix and RH 5.2.

Comment 3 Jeff Johnson 1999-05-31 21:25:59 UTC
Can you verify if the recent egcs*1.1.2-13 and kernel*2.2.5-21 errata
fix this problem?Can you verify if the recent egcs*1.1.2-13 and kernel*2.2.5-21 errata
fix this problem?

Comment 4 Anonymous 1999-06-01 19:43:59 UTC
I have recompiled kernel 2.3.2 with egcs-1.0.2. This is on RedHat
Linux 6.0.

It seems like the bug has dissapeared.

Comment 5 Jeff Johnson 1999-06-01 20:15:59 UTC
This problem appears to be fixed by upgrading your sparc kernel to
the errata kernel*2.2.5-21.sparc*.rpms. Or use egcs*1.1.2-13 (or
equivalently egcs*1.0.2) to compile your kernel.

Thanks for verifying.


Note You need to log in before you can comment on or make changes to this bug.